#include "stdafx.h"
#include "lottoman.h"
#include "SettingsUI.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CSettingsPage1, CPropertyPage)

CSettingsPage1::CSettingsPage1() : CPropertyPage(CSettingsPage1::IDD)
{
	//{{AFX_DATA_INIT(CSettingsPage1)
	m_bBonusNumberPicked = FALSE;
	m_nMaxLottoNumber = 0;
	m_nNumbersInDraw = 0;
	//}}AFX_DATA_INIT
}

CSettingsPage1::~CSettingsPage1()
{
}

void CSettingsPage1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingsPage1)
	DDX_Check(pDX, IDC_BONUS, m_bBonusNumberPicked);
	DDX_Text(pDX, IDC_MAX_LOTTONUMBER, m_nMaxLottoNumber);
	DDV_MinMaxInt(pDX, m_nMaxLottoNumber, 5, 100);
	DDX_Text(pDX, IDC_NUMBERS_IN_DRAW, m_nNumbersInDraw);
	DDV_MinMaxInt(pDX, m_nNumbersInDraw, 2, 6);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSettingsPage1, CPropertyPage)
	//{{AFX_MSG_MAP(CSettingsPage1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()





IMPLEMENT_DYNAMIC(CSettingsPropertySheet, CPropertySheet)

CSettingsPropertySheet::CSettingsPropertySheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
	AddPage(&m_page1);
}

CSettingsPropertySheet::CSettingsPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	AddPage(&m_page1);
}

CSettingsPropertySheet::~CSettingsPropertySheet()
{
}

BEGIN_MESSAGE_MAP(CSettingsPropertySheet, CPropertySheet)
	//{{AFX_MSG_MAP(CSettingsPropertySheet)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
