#include "LottoManDoc.h"

class CResultsDlg : public CDialog
{
public:
	CResultsDlg(CWnd* pParent = NULL);   // standard constructor

enum ResultsType
{
  Lotto,
  Plus1,
  Plus2,
};

  CLottoManDoc* m_pDoc;  

protected:
	//{{AFX_DATA(CResultsDlg)
	enum { IDD = IDD_RESULTS };
	CCheckListBox	m_ctrlCombinations;
	CEdit	m_ctrlResults;
	//}}AFX_DATA
	int		m_nNum1;
	int		m_nNum2;
	int		m_nNum3;
	int		m_nNum4;
	int		m_nNum5;
	int		m_nNum6;
	int		m_nNum7;

  CString ParseForResultsHtml(const CString& sFile, ResultsType type);
  BOOL ParseResults(const CString& sHtml);
  void DoLottoUpdateFromWeb(ResultsType type);

	//{{AFX_VIRTUAL(CResultsDlg)
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CResultsDlg)
	afx_msg void OnCheck();
	afx_msg void OnLotto();
	afx_msg void OnPlus1();
	afx_msg void OnPlus2();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
  afx_msg void OnUpdateLotto(CCmdUI* pCmdUI);
  afx_msg void OnUpdatePlus1(CCmdUI* pCmdUI);
  afx_msg void OnUpdatePlus2(CCmdUI* pCmdUI);
  afx_msg LRESULT OnKickIdle(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

